searchData={"items":[{"type":"module","title":"LiveDashboardLogger","doc":"Logs Page for Live Dashboard","ref":"LiveDashboardLogger.html"},{"type":"module","title":"Add LiveDashboardLogger to Phoenix Live Dashboard - LiveDashboardLogger","doc":"To add LiveDashboardLogger to Phoenix Live Dashboard, simply include it in the `additional_pages`\nlist of `live_dashboard` route macro.","ref":"LiveDashboardLogger.html#module-add-livedashboardlogger-to-phoenix-live-dashboard"},{"type":"module","title":"Example - LiveDashboardLogger","doc":"```elixir\nlive_dashboard \"/dashboard\",\n  metrics: LoggertestWeb.Telemetry,\n  additional_pages: [\n    # Add this line\n    live_logs: LiveDashboardLogger\n  ]\n```\n\nThen the \"Live Logs\" menu item should appear in your dashboard.","ref":"LiveDashboardLogger.html#module-example"},{"type":"function","title":"LiveDashboardLogger.handle_event/3","doc":"","ref":"LiveDashboardLogger.html#handle_event/3"},{"type":"function","title":"LiveDashboardLogger.handle_info/2","doc":"","ref":"LiveDashboardLogger.html#handle_info/2"},{"type":"function","title":"LiveDashboardLogger.init/1","doc":"","ref":"LiveDashboardLogger.html#init/1"},{"type":"function","title":"LiveDashboardLogger.menu_link/2","doc":"","ref":"LiveDashboardLogger.html#menu_link/2"},{"type":"function","title":"LiveDashboardLogger.mount/3","doc":"","ref":"LiveDashboardLogger.html#mount/3"},{"type":"function","title":"LiveDashboardLogger.render/1","doc":"","ref":"LiveDashboardLogger.html#render/1"},{"type":"module","title":"LiveDashboardLogger.Log","doc":"Simple Log struct","ref":"LiveDashboardLogger.Log.html"},{"type":"function","title":"LiveDashboardLogger.Log.new/5","doc":"","ref":"LiveDashboardLogger.Log.html#new/5"},{"type":"type","title":"LiveDashboardLogger.Log.t/0","doc":"","ref":"LiveDashboardLogger.Log.html#t:t/0"},{"type":"type","title":"LiveDashboardLogger.Log.timestamp/0","doc":"","ref":"LiveDashboardLogger.Log.html#t:timestamp/0"},{"type":"extras","title":"Getting Started","doc":"# LiveDashboard Logger\n\nLiveDashboard Logger adds real-time log viewing capabilities to [Phoenix Live Dashboard](https://github.com/phoenixframework/phoenix_live_dashboard) through a custom logger backend. This allows you to monitor your application's logs directly from your dashboard, making debugging and monitoring easier.","ref":"readme.html"},{"type":"extras","title":"Demo Screenshot - Getting Started","doc":"![Live Logger Dashboard Screenshot](assets/live-logger-dashboard-screenshot.png)","ref":"readme.html#demo-screenshot"},{"type":"extras","title":"Features - Getting Started","doc":"- Real-time log streaming in Phoenix Live Dashboard\n- Supports multi-node setups\n- Clean integration with existing Phoenix Live Dashboard setup\n- Minimal performance overhead","ref":"readme.html#features"},{"type":"extras","title":"Installation - Getting Started","doc":"1. Add `:live_dashboard_logger` to your dependencies in `mix.exs`:\n\n```elixir\n# mix.exs\ndef deps do\n  [\n    {:live_dashboard_logger, \"~> 0.0.1\"}\n  ]\nend\n```\n\n2. Add the `LiveDashboardLogger` page to your Phoenix Live Dashboard configuration in your router:\n\n```elixir\n# lib/your_app_web/router.ex\nlive_dashboard \"/dashboard\",\n  metrics: YourAppWeb.Telemetry,\n  additional_pages: [\n    live_logs: LiveDashboardLogger\n  ]\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Getting Started","doc":"Once installed, you'll find a new \"Live Logs\" page in your Phoenix Live Dashboard.\nThe page displays incoming logs in real-time.","ref":"readme.html#usage"},{"type":"extras","title":"Contributing - Getting Started","doc":"Contributions are welcome! Please feel free to submit a Pull Request.","ref":"readme.html#contributing"},{"type":"extras","title":"License - Getting Started","doc":"This project is licensed under the MIT License - see the [LICENSE.md](/LICENSE.md) file for details.","ref":"readme.html#license"},{"type":"extras","title":"License","doc":"# The MIT License (MIT)\n\nCopyright © `2025` `Alisina Bahadori`\n\nPermission is hereby granted, free of charge, to any person\nobtaining a copy of this software and associated documentation\nfiles (the “Software”), to deal in the Software without\nrestriction, including without limitation the rights to use,\ncopy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the\nSoftware is furnished to do so, subject to the following\nconditions:\n\nThe above copyright notice and this permission notice shall be\nincluded in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES\nOF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND\nNONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT\nHOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\nWHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\nFROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR\nOTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.0"}}